## expat 1.95.8-3maemo

=== debian/changelog ===
expat (1.95.8-3maemo) unstable; urgency=low

  * Added support for building with thumb instructions (N#26679).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 14:00:29 +0300

expat (1.95.8-3) unstable; urgency=low

  * Makefile.in: added $(srcdir)/expat_config.h to APIHEADER
    (closes: Bug#302191)
  * rebuild against latest libtool for kfreebsd-gnu
    (closes: Bug#295825)

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Apr 2005 21:50:50 -0500

expat (1.95.8-2) unstable; urgency=low

  * rebuild against latest libtool for kfreebsd-gnu

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 19 Feb 2005 13:45:36 -0600

expat (1.95.8-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#263858)
  * debian/rules: added '-pthread -D_REENTRANT' to 'CFLAGS'
  * Added debian/watch

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 19 Oct 2004 19:31:03 -0500

expat (1.95.6-8) unstable; urgency=low

  * debian/control: fixed typo in maintainer's email address

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 11:01:15 -0600

expat (1.95.6-7) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)
  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-pkgs@lists.alioth.debian.org>' and added current
    maintainer as 'Uploader'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 10:51:47 -0600

expat (1.95.6-6) unstable; urgency=low

  * debian/control: changed section of 'libexpat1-dev' from 'devel'
    to 'libdevel' to align with override
  * debian/control: changed priority of 'libexpat1-udeb' from 'optional'
    to 'extra' to aliagn with override

 -- Ardo van Rangelrooij <ardo@debian.org>  Tue, 29 Jul 2003 19:53:02 -0500

expat (1.95.6-5) unstable; urgency=low

  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 28 Jul 2003 22:45:43 -0500

expat (1.95.6-4) unstable; urgency=low

  * Added support to generate a 'libexpat1-udeb' package for the upcoming
    gtk frontend for the new debian installer
    (closes: Bug#183830)
  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Mar 2003 20:42:31 -0600

expat (1.95.6-3) unstable; urgency=low

  * lib/expat.h: moved declaration of 'enum XML_Status' up
    (closes: Bug#179914)

 -- Ardo van Rangelrooij <ardo@debian.org>  Mon, 17 Feb 2003 19:28:14 -0600

expat (1.95.6-2) unstable; urgency=low

  * debian/libexpat1.shlibs: changed to 1.95.6 (oops!)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 18:24:54 -0600

expat (1.95.6-1) unstable; urgency=low

  * New upstream release
    - fixes frequent segfault on nontrivial documents using namespaces
      (closes: Bug#179462)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  2 Feb 2003 14:53:04 -0600

expat (1.95.5-1) unstable; urgency=low

  * New upstream release
    (closes: Bug#164202)
  * debian/control: changed dependency for package 'libexpat1-dev' on the
    C library from 'libc6-dev' to 'libc6-dev | libc-dev'
  * debian/libexpat1.shlibs: added to provide info about libexpat.so.0
    (which is a symlink to libexpat.so.1 due to an NMU mishap, see below)
    (closes: Bug#147751)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 25 Dec 2002 14:46:32 -0600

expat (1.95.2-10) unstable; urgency=low

  * autogen.sh: upgraded to 'automake1.7'
  * debian/rules: removed 'autotools' target as its function is now handled
    by 'autogen.sh'
  * debian/control: removed obsolete build dependency on 'autotools-dev'
  * debian/control: added 'Provides' and 'Conflicts' with 'libexpat-dev'
    for package 'libexpat1-dev'
  * debian/control: upgraded to Debian Policy 3.5.8

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 21 Dec 2002 23:33:34 -0600

expat (1.95.2-9) unstable; urgency=low

  * debian/rules: migrated documentation installation handling to debhelper

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 22:52:54 -0500

expat (1.95.2-8) unstable; urgency=low

  * debian/rules: migrated to autoconf 2.52 and above

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  6 Oct 2002 15:37:04 -0500

expat (1.95.2-7) unstable; urgency=low

  * debian/rules: upgraded to debhelper v4
  * debian/control: changed build dependency on debhelper accordingly
  * debian/rules: migrated from 'dh_movefiles' to 'dh_install'
  * debian/rules: split off 'install' target from 'binary-arch' target

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 10 Aug 2002 11:02:25 -0500

expat (1.95.2-6) unstable; urgency=low

  * debian/control: removed unnecessary build dependency on 'autoconf'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  9 Dec 2001 12:19:40 -0600

expat (1.95.2-5) unstable; urgency=low

  * Added man page for 'xmlwf'
    (closes: Bug#39461)
  * Converted to autotools-dev
  * debian/control: added build dependency on 'autotools-dev'
  * debian/control: removed build dependency on 'automake' and 'libtool'

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri,  7 Dec 2001 23:35:47 -0600

expat (1.95.2-4) unstable; urgency=low

  * Removed explicit 'dhelp' support since 'doc-base' now takes care of this
  * debian/control: upgraded to Debian Policy 3.5.6

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Nov 2001 11:22:19 -0600

expat (1.95.2-3) unstable; urgency=high

  * Includes NMU 1.95.2-2.1
    (closes: Bug#111957)
  * Added symlink from libexpat.so.0 to libexpat.so.1 to handle the
    problems caused by the library soname change introduced by this NMU
    (closes: Bug#116724, Bug#116727)

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 31 Oct 2001 11:09:47 -0600

expat (1.95.2-2.1) unstable; urgency=low

  * NMU.
  * Added call to aclocal before call to autoconf in Makefile.in.
    Closes: #111957.

