=== debian/control ===
Source: expat
Section: text
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Ardo van Rangelrooij <ardo@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1)

Package: libexpat1-dev
Section: libdevel
Priority: optional
Architecture: any
Provides: libexpat-dev
Conflicts: libexpat-dev
Depends: libexpat1 (= ${Source-Version}), libc6-dev | libc-dev
Description: XML parsing C library - development kit
 This package contains the header file and development libraries of
 expat, the C library for parsing XML.  Expat is a stream oriented XML
 parser.  This means that you register handlers with the parser prior
 to starting the parse.  These handlers are called when the parser
 discovers the associated structures in the document being parsed.  A
 start tag is an example of the kind of structures for which you may
 register handlers.

Package: libexpat1
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML.

Package: libexpat1-udeb
Section: debian-installer
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Provides: libexpat1
Description: XML parsing C library - runtime library
 This package contains the runtime, shared library of expat, the C
 library for parsing XML.

Package: expat
Section: text
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: XML parsing C library - example application
 This package contains xmlwf, an example application of expat, the C
 library for parsing XML.  The arguments to xmlwf are one or more
 files which are each to be checked for XML well-formedness.
