## expat 1.95.8-4maemo

=== debian/changelog ===
expat (1.95.8-4maemo) unstable; urgency=low

  * Added debug package. Fixes: NB#40243

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 18 Oct 2006 17:01:28 +0300
