=== debian/rules ===
--- 
+++ 
@@ -98,7 +98,7 @@
 		dh_installexamples -a -N$(UPACKAGE)
 		dh_installchangelogs -a Changes -N$(UPACKAGE)
 		dh_link -a
-		dh_strip -a
+		dh_strip -a --dbg-package=libexpat1
 		dh_compress -a
 		dh_fixperms -a
 		dh_makeshlibs -a -V -N$(UPACKAGE)
