## expat 1.95.8-4maemo1

=== debian/changelog ===
expat (1.95.8-4maemo1) unstable; urgency=low

  * Patch for gcc4.2 from Leonid. Fixes: NB#78131

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  9 Jan 2008 09:31:22 +0200
