=== debian/control ===
--- 
+++ 
@@ -31,6 +31,14 @@
  This package contains the runtime, shared library of expat, the C
  library for parsing XML.
 
+Package: libexpat1-dbg
+Section: libs
+Priority: optional
+Architecture: any
+Depends: libexpat1 (= ${Source-Version})
+Description: XML parsing C library - debug files.
+ This package contains debug files for the expat library.
+
 Package: libexpat1-udeb
 Section: debian-installer
 Priority: extra
