=== debian/watch ===
version=2
ftp://ftp2.sf.net/pub/sourceforge/e/ex/expat/expat-?_?([\w+\d+\.]+|\d+)(\.tar|\.tgz)(\.gz|\.bz2|) debian uupdate
