## expat 1.95.8-5maemo1%2b0m5

=== debian/changelog ===
expat (1.95.8-5maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 18 Sep 2009 09:54:27 +0300

expat (1.95.8-5maemo1) unstable; urgency=low

  * Recompilation for Fremantle (no code changes).
  * Fixes: NB#124285 - libexpat1 should be recompiled

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 16 Sep 2009 14:40:44 +0300
