## expat 2.1.0~beta3

=== debian/changelog ===
expat (2.1.0~beta3-1) unstable; urgency=low

  * QA upload.
  * Beta release 2.1.0 beta3. Closes: #663579.
    - CVE-2012-1147 - Resource leak in readfilemap.c.
    - CVE-2012-1148 - Memory leak in poolGrow.
    - CVE-2012-0876 - Hash DOS attack.
    - Remove patches applied upstream.
  * Remove Daniel from uploaders (orphaned package).
  * Update package format to 3.0.
  * Enable hardened build. Closes: #653526.
  * Add a symbols file.
  * Install expat pkgconfig file.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Mar 2012 22:37:22 +0100

expat (2.0.1-7.2ubuntu1) precise; urgency=low

  * CVE-2012-0876: Randomize hashes of xml attributes in the expat library
    to avoid a denial of service due to hash collisions.  Patch by David
    Malcolm with some modifications by the expat project.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Mar 2012 02:13:54 +0100

expat (2.0.1-7.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix symlink breakage introduced with my last upload.  (Closes: #647340)

 -- Robert Millan <rmh@debian.org>  Wed, 02 Nov 2011 09:42:21 +0000

expat (2.0.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Multi-arch support (patch from Steve Langaseck).  (Closes: #632261)
  * Move libexpat.so.1 to /lib.  (Closes: #637101)

 -- Robert Millan <rmh@debian.org>  Sat, 22 Oct 2011 10:09:29 +0000

expat (2.0.1-7) unstable; urgency=low

  * debian/control (Depends): Fixed debhelper-but-no-misc-depends.
  * debian/patches/560901_CVE_2009_3560.dpatch: Adjusted.
    - lib/xmlparse.c (doProlog): Revised patch for CVE-2009-3560 after
      regressions have been detected (closes: #561658). Many thanks to
      Niko Tyni and Karl Waclawek for their help and the fix.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Dec 2009 22:18:35 +0100

expat (2.0.1-6) unstable; urgency=medium

  * debian/patches/560901_CVE_2009_3560.dpatch: Added.
    - lib/xmlparse.c (doProlog): Fix DoS vulnerability CVE-2009-3560 (closes:
      #560901).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Dec 2009 12:06:07 +0100

expat (2.0.1-5) unstable; urgency=medium

  * debian/control (Standards-Version): Bumped to 3.8.3.
    (Priority, Section): Fixed binary-control-field-duplicates-source.
    (Description): Fixed extended-description-is-probably-too-short and
    duplicate-long-description.
  * debian/rules (CFLAGS): Drop useless '-pthread -D_REENTRANT' from version
    1.95-8-1 (closes: #551079).
  * debian/README.source: Added for policy compliance.
  * debian/patches/551936_CVE_2009_2625.dpatch: Added.
    - lib/xmltok_impl.c (updatePosition): Fix DoS vulnerability CVE-2009-2625
      and CVE-2009-3720 (closes: #551936).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 03 Nov 2009 22:41:38 +0100

expat (2.0.1-4) unstable; urgency=low

  * debian/libexpat1-dev.install: Install the libtool .la files again and drop
    them after Lenny (closes: #485460).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 09 Jun 2008 20:48:30 +0200

expat (2.0.1-3) unstable; urgency=low

  * debian/patches/485129_fix_underquotation_in_m4.dpatch: Added.
    - conftools/expat.m4: Fixed underquotation in AC_DEFUN (closes: #485129).
  * debian/patches/00list: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 08 Jun 2008 20:15:58 +0200

expat (2.0.1-2) unstable; urgency=low

  * debian/rules: Set correct host flags to prevent FTBFS on architectures,
    where we build the lib64expat* packages.
    (build-stamp, install): Fixed a stupid mistake leading to an FTBFS on the
    architectures, where we don't build the lib64expat* packages.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 07 Jun 2008 20:35:04 +0200

expat (2.0.1-1) unstable; urgency=low

  * New upstream release 2.0.1 (closes: #429175).

  [ Matthias Klose ]
  * debian/control: Added 64bit libraries.
    (Build-Depends): Added gcc-multilib.
  * debian/lib64expat1-dev.install: Added.
  * debian/lib64expat1.install: Ditto.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/libexpat1.links: Remove the old libexpat.so.0 symlink.
  * debian/libexpat1-udeb.links: Ditto.
  * debian/libexpat1.shlibs: Removed libexpat.so.0.

  [ Daniel Leidert ]
  * Removed Debian-written autotools stuff.
  * debian/control: Added Homepage and Vcs* fields. Added conflicts with wink
    package version, relying on the compat symlink.
    (Standards-Version): Increased to 3.7.3.
    (Build-Depends): Added dpatch and docbook-to-man.
    (Uploaders): Added myself.
    (Depends): lib64expat1-dev should depend on libexpat1-dev.
  * debian/copyright: Added missing copyright of the last years.
  * debian/expat.install: Do not copy the upstream manpage (see debian/rules).
  * debian/libexpat1-dev.install: Install the expat.m4 macro file. Do not
    install the libtool .la files.
  * debian/lib64expat1-dev.install: Do not install the libtool .la files
    either.
  * debian/libexpat1-dev.examples: Only install the C sources.
  * debian/libexpat1-udeb.install: Make sure, only libexpat is installed (for
    the moment).
  * debian/libexpat1.shlibs: Adjusted for libexpatw.
  * debian/lib64expat1.shlibs: Ditto.
  * debian/rules: Rewritten to make it shorter (yeah sorry, I removed the
    comments too).
    - Added dpatch stuff.
    - Create the manpage xmlwf.1 on-the-fly (there is doc/xmlwf.1, but it has
      issues and gets patched, so we recreate it).
    - Build and install libexpatw with XML_UNICODE support enabled (closes:
      #277133).
  * debian/patches/82763_xmlwf_error_out_2.dpatch: Added (#82763).
  * debian/patches/302191_install_expat_config_h.dpatch: Added (#302191).
  * debian/patches/342684_libtoolize.dpatch: Added (#342684).
    - Further update configure (closes: #439127).
  * debian/patches/412786_xmlwf_man_standard_fix.dpatch: Added (#412786).
  * debian/patches/00list: Added.


