## expat 2.1.0

=== debian/changelog ===
expat (2.1.0-4ubuntu1) trusty; urgency=low

  * Use dh-autoreconf.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Dec 2013 14:42:15 +0100

expat (2.1.0-4) unstable; urgency=low

  * New maintainer (closes: #660681).
  * Update to Standards-Version 3.9.4 , no changes needed.
  * Move to compat level 8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 07 Jul 2013 12:43:10 +0200

expat (2.1.0-3) unstable; urgency=low

  * QA upload, set maintainer address to the QA team.
  * Move expat_config.h into the multiarch include location.
  * Make libexpat1-dev Multi-Arch: same.
  * Update config.{guess,sub} for aarch64 (Wookey). Closes: #689619.
  * Don't ship the pkgconfig file in lib64expat1-dev. Closes: #706932.

 -- Matthias Klose <doko@debian.org>  Wed, 08 May 2013 11:13:47 +0200

expat (2.1.0-1) unstable; urgency=low

  * QA upload.
  * expat 2.1.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2012 10:22:55 +0200

expat (2.1.0~beta3-2) unstable; urgency=medium

  * Fix symbol version for XML_SetHashSalt. Addresses #665362.

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2012 17:33:01 +0100
