## expat 2.2.0

=== debian/changelog ===
expat (2.2.0-2+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * Run the upstream tests during the build.
  * CVE-2022-25235: arbitrary code execution due to malformed 2- and 3-byte
    UTF-8.
  * CVE-2022-25236: arbitrary code execution due to namespace-separator
    characters.
  * CVE-2022-25313: stack exhaustion in build_model.
  * CVE-2022-25315: integer overflow in storeRawNames.
  * Include follow-up fix for CVE-2022-25236.
  * Fix build issue in the tests of CVE-2022-23852.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 03 Mar 2022 10:03:00 +0100

expat (2.2.0-2+deb9u4) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2021-46143, CVE-2022-22822, CVE-2022-22823, CVE-2022-22824,
    CVE-2022-22825, CVE-2022-22826, CVE-2022-22827, CVE-2022-23852,
    CVE-2022-23990 and CVE-2021-45960.
    Multiple security vulnerabilities have been discovered in Expat, the XML
    parsing C library. Integer overflows or invalid shifts may lead to a denial
    of service or other unspecified impact.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Jan 2022 17:51:06 +0100

expat (2.2.0-2+deb9u3) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * xmlparse.c: Deny internal entities closing the doctype (CVE-2019-15903)
    (Closes: #939394)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Sep 2019 23:43:05 +0200

expat (2.2.0-2+deb9u2) stretch-security; urgency=high

  * Fix extraction of namespace prefix from XML name (CVE-2018-20843)
    (closes: #931031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Jun 2019 19:10:58 +0000

expat (2.2.0-2+deb9u1) stretch-security; urgency=high

  * Replace the Mozilla CVE-2016-9063 fix with the more complete, upstream
    one.
  * Fix CVE-2017-9233: external entity infinite loop DoS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Jun 2017 21:31:56 +0000

expat (2.2.0-2) unstable; urgency=high

  * Use fix from Mozilla for CVE-2016-9063: integer overflow during the
    parsing of XML.
  * Replace deprecated -s debhelper switch with the -a one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Jan 2017 21:12:32 +0000

expat (2.2.0-1) unstable; urgency=low

  * New upstream release, update symbols accordingly.
  * Use upstream manpage for xmlwf.
  * Drop all patches as this release contains those.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 21 Jun 2016 15:29:58 +0000

expat (2.1.1-3) unstable; urgency=high

  * Use upstream fix for the following security vulnerabilities:
    - CVE-2012-6702, unanticipated internal calls to srand
    - CVE-2016-5300, use of too little entropy

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Jun 2016 00:17:46 +0000

expat (2.1.1-2) unstable; urgency=high

  * Avoid relying on undefined behavior in CVE-2015-1283 fix.
  * Apply upstream patch to fix the root cause of CVE-2016-0718 and
    CVE-2016-0719 vulnerabilities.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 May 2016 05:35:08 +0000

expat (2.1.1-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches, applied upstream.
  * Update Standards-Version to 3.9.7 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Mar 2016 07:28:07 +0100

expat (2.1.0-7) unstable; urgency=high

  * Fix CVE-2015-1283, multiple integer overflows in the XML_GetBuffer
    function (closes: #793484).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jul 2015 14:48:45 +0000

expat (2.1.0-6) unstable; urgency=low

  * Really do the Ubuntu sync (closes: #748250).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Jun 2014 15:54:15 +0000

expat (2.1.0-5) unstable; urgency=low

  * Move to Standards-Version 3.9.5 and to debhelper level 9 .
  * Sync with Ubuntu.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Use dh-autoreconf (closes: #748250).
  * Enable parallel builds.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 May 2014 20:43:19 +0200
