=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 8.1.3), docbook-to-man, dh-autoreconf,
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
  dpkg-dev (>= 1.16.0),
  gcc-multilib [i386 powerpc sparc s390]
 Homepage: http://expat.sourceforge.net
