=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: text
 Priority: optional
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), docbook-to-man, dh-autoreconf,
- dpkg-dev (>= 1.16.0),
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), docbook-to-man,
+ libbsd-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386],
  gcc-multilib [i386 powerpc sparc s390]
 Homepage: http://expat.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/expat/trunk/
@@ -44,7 +44,7 @@
 Multi-Arch: same
 Provides: libexpat-dev
 Conflicts: libexpat-dev
-Depends: ${misc:Depends}, libexpat1 (= ${binary:Version}), libc6-dev | libc-dev
+Depends: ${misc:Depends}, libexpat1 (= ${binary:Version}), libbsd-dev [kfreebsd-amd64 kfreebsd-i386], libc6-dev | libc-dev
 Description: XML parsing C library - development kit
  This package contains the header file and development libraries of
  expat, the C library for parsing XML.  Expat is a stream oriented XML
