=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 BUILD64 = $(filter $(DEB_HOST_ARCH), i386 powerpc sparc s390)
@@ -30,6 +31,10 @@
 endif
 ifeq ($(DEB_HOST_ARCH),s390)
 	HOST64FLAG = --host=s390x-linux-gnu
+endif
+
+ifneq (,$(filter $(DEB_HOST_ARCH_OS), kfreebsd hurd))
+	CONFFLAGS += --with-libbsd
 endif
 
 # -pthread -D_REENTRANT #551079
@@ -97,10 +102,7 @@
 #	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
 	touch $@
 
-check: build
-	$(MAKE) -C build/ check
-
-install: build check
+install: build
 	dh_testdir
 	dh_testroot
 	dh_prep
